Subject: RE: [mobile-ip] Fast Handoffs (IPv4 & IPv6)

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Fri, 9 Mar 2001 19:19:41 +0100

Hello

> Here, I am confusing.
> The fast handoff for Mobile IPv4 draft (draft-ietf-mobileip-
> lowlatencyhandoffs-v4-00.txt) proposes a pro-active handoff.

Low latency Handoffs proposes two methods:

- Network Assisted, Mobile and Network Controlled (NAMONC) Handoff
- Network Initiated, Mobile Terminated (NIMOT) Handoff 

This is the combination of two existing drafts.
The first method comes from draft-elmalki-mobileip-fast-handoffs-03
and the second is from draft-calhoun-mobileip-proactive-fa-03.

> In this draft, the Registration procedure will be done pro-actively.
> On the other hand, the fast handoff for Mobile IPv6 draft proposes
> another mechanism.

The v4 and v6 drafts do not propose completely different mechanisms.
You can run a similar handoff procedure in v4 and v6. However you may
be pointing to a NIMOT-like approach in v6?

> And I have another confusion.
> When I apply to the fast handoff for Mobile IPv4 (pro-active handoff)
> without the bi-casting, the loss of packets during the transition
> between networks will be eliminated.

If you don't use bicasting (independently of the method supported) then
achieving a loss-less v4 handoff depends on when the MN actually disconnects
from the old FA and connects to the new one, if buffering is available etc.
This needs more looking into and hopefully we'll get some discussion going
at this IETF.

Regards
/Karim

---

From: "Koichi Ishibashi" <[email-masked]>
Date: Tue, 13 Mar 2001 20:02:31 +0900

> be pointing to a NIMOT-like approach in v6?

Yes. I think same mechanisms(NIMOT) will be needed.

> This needs more looking into and hopefully we'll get some discussion going

Yes, I agree.

And I recognize that achieving a loss-less v4 handoff has been
proposed in "Buffer Management for Mobile IP"draft
(draft-mkhalil-mobileip-buffer-00.txt), and
achieving a loss-less v6 handoff is discussed on Seamoby CT.

So, I am considering simultaneous support of a loss-less handoff
and a fast handoff.
There are some mechanisms in this simultaneous support.
For example, Home Agent should manage according to each microflow,
that is, HA should be buffering packets for microflows required a loss-less,
and be forwarding packets for microflow required a fast handoff.

Or, should HA manage a mobility binding according to each microflow ?

But then where are these discussions discussed, mobileip or seamoby CT ?

Regards,
Ishibashi

---

From: "Eunsoo Shim" <[email-masked]>
Date: Sun, 18 Mar 2001 01:22:31 -0500

It seems to me the draft covers the following cases:
1) The old FA(or AR) knows the IP address of the new FA while the MN is
attached to the old FA.
2) The old BS knows the L2 address of the new BS while the MN is attached to
the old BS
3) The new FA knows the IP address of the old FA before the MN registers
with the new FA (reactive case)

I wonder whether these cases are all we need to cover in the wireless IP
world.
In particular, what is the solution for a fast handoff that results in a
similar latency to NAMONC in the case where the assumptions of 1) and 2) are
not vaild?

Regards,

Eunsoo

----- Original Message -----
From: "Karim El-Malki (ERA)" <[email-masked]>
To: <[email-masked]>; "'Koichi Ishibashi'"
<[email-masked]>
Sent: Friday, March 09, 2001 1:19 PM
Subject: RE: [mobile-ip] Fast Handoffs (IPv4 & IPv6)